Bug 109215 - Keyboard access to recently used and favorite characters
Summary: Keyboard access to recently used and favorite characters
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: accessibility
Depends on:
Blocks: Special-Character
  Show dependency treegraph
 
Reported: 2017-07-19 13:40 UTC by Heiko Tietze
Modified: 2018-09-08 02:41 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2017-07-19 13:40:32 UTC

    
Comment 1 Heiko Tietze 2017-07-19 13:47:38 UTC
It's possible to traverse through the grid of special characters with arrow keys. The selection is highlighted and perhaps also read by screen readers. That should be possible for the list of recently used characters and favorites too. Also we need a mnemonic to quickly jump to these lists plus a label above the full grid to go back. The tab sequence should be &Font > &Subset > &Characters (or any better term) > &Recent Characters > &Favorite Characters > &Hexadecimal > &Decimal > &Add to Favorites > Help > Insert > Cancel (and back). 
Escape is the shortcut to cancel the dialog, Enter inserts the selection like double-click.

Being to lazy to file another issue: Title style capitalization is reserved for dioalog titles and headlines. Use 'Recent characters' (also without colon) and 'Favorite characters'.
Comment 2 Heiko Tietze 2017-08-15 20:53:38 UTC
Accelerators missing for &Search, (suggest to change S&ubset), &Font, &Add to favorites, &Recent Characters, and &Favorite Characters.
Comment 3 QA Administrators 2018-09-08 02:41:04 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug